de.vc.io.rtf.parser

## Class SectionProperties

- java.lang.Object
- - de.vc.io.rtf.parser.SectionProperties

- All Implemented Interfaces:
    java.lang.Cloneable

      public class SectionProperties
      extends java.lang.Object
      implements java.lang.Cloneable

  Section properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `RTFBorderProperties` | `borderBottom`
    `RTFBorderProperties` | `borderLeft`
    `boolean` | `borderReferenceText`
    `RTFBorderProperties` | `borderRight`
    `boolean` | `borderSurroundsFooter`
    `boolean` | `borderSurroundsHeader`
    `RTFBorderProperties` | `borderTop`
    `int` | `breakType`
    `int[]` | `columnSpaceRight`
    `int[]` | `columnWidth`
    `boolean` | `endnotesIncluded`
    `boolean` | `facingPages` Indicates if section has facing pages.
    `int` | `footerOffset`
    `int` | `headerOffset`
    `boolean` | `marginMirror` Indicactes if page-margins (left and right) are mirror when section has facing pages.
    `int` | `pageHeight`
    `int` | `pageMarginBottom`
    `int` | `pageMarginLeft`
    `int` | `pageMarginRight`
    `int` | `pageMarginTop`
    `int` | `pageWidth`
    `java.lang.Integer` | `restartPageNumber`
    `static int` | `SECTION_BREAK_COLUMN`
    `static int` | `SECTION_BREAK_EVEN`
    `static int` | `SECTION_BREAK_NONE`
    `static int` | `SECTION_BREAK_ODD`
    `static int` | `SECTION_BREAK_PAGE`
    `boolean` | `titlePage` Indicates if section has a special title page.
    `int` | `verticalAlignment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionProperties()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyDefaults(SectionProperties defSection)`
    `int` | `bottomBorderSpace()`
    `int` | `bottomBorderSpace(int footerHeight)`
    `int` | `getAverageColumnSpacing()`
    `int` | `getColumns()`
    `int` | `getContentHeight()`
    `int` | `getContentWidth()`
    `boolean` | `hasVariableColumnWidths()`
    `int` | `leftBorderSpace()`
    `void` | `resetAfterSectionBreak()`
    `int` | `rightBorderSpace()`
    `void` | `setColumns(int columns)`
    `void` | `setColumnSpaceRight(int column, int space)`
    `void` | `setColumnWidth(int column, int width)`
    `int` | `topBorderSpace()`
    `int` | `topBorderSpace(int headerHeight)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECTION_BREAK_NONE

          public static final int SECTION_BREAK_NONE

      See Also:
        Constant Field Values

    - #### SECTION_BREAK_COLUMN

          public static final int SECTION_BREAK_COLUMN

      See Also:
        Constant Field Values

    - #### SECTION_BREAK_PAGE

          public static final int SECTION_BREAK_PAGE

      See Also:
        Constant Field Values

    - #### SECTION_BREAK_EVEN

          public static final int SECTION_BREAK_EVEN

      See Also:
        Constant Field Values

    - #### SECTION_BREAK_ODD

          public static final int SECTION_BREAK_ODD

      See Also:
        Constant Field Values

    - #### pageHeight

          public int pageHeight

    - #### pageWidth

          public int pageWidth

    - #### pageMarginLeft

          public int pageMarginLeft

    - #### pageMarginRight

          public int pageMarginRight

    - #### pageMarginTop

          public int pageMarginTop

    - #### pageMarginBottom

          public int pageMarginBottom

    - #### headerOffset

          public int headerOffset

    - #### footerOffset

          public int footerOffset

    - #### restartPageNumber

          public java.lang.Integer restartPageNumber

    - #### titlePage

          public boolean titlePage

      Indicates if section has a special title page.

    - #### facingPages

          public boolean facingPages

      Indicates if section has facing pages.

    - #### marginMirror

          public boolean marginMirror

      Indicactes if page-margins (left and right) are mirror when section has facing pages.

    - #### endnotesIncluded

          public boolean endnotesIncluded

    - #### verticalAlignment

          public int verticalAlignment

    - #### breakType

          public int breakType

    - #### columnWidth

          public int[] columnWidth

    - #### columnSpaceRight

          public int[] columnSpaceRight

    - #### borderReferenceText

          public boolean borderReferenceText

    - #### borderSurroundsHeader

          public boolean borderSurroundsHeader

    - #### borderSurroundsFooter

          public boolean borderSurroundsFooter

    - #### borderTop

          public RTFBorderProperties borderTop

    - #### borderBottom

          public RTFBorderProperties borderBottom

    - #### borderLeft

          public RTFBorderProperties borderLeft

    - #### borderRight

          public RTFBorderProperties borderRight

  - ### Constructor Detail

    - #### SectionProperties

          public SectionProperties()

  - ### Method Detail

    - #### rightBorderSpace

          public int rightBorderSpace()

    - #### leftBorderSpace

          public int leftBorderSpace()

    - #### topBorderSpace

          public int topBorderSpace(int headerHeight)

    - #### topBorderSpace

          public int topBorderSpace()

    - #### bottomBorderSpace

          public int bottomBorderSpace(int footerHeight)

    - #### bottomBorderSpace

          public int bottomBorderSpace()

    - #### resetAfterSectionBreak

          public void resetAfterSectionBreak()

    - #### getContentWidth

          public int getContentWidth()

    - #### getContentHeight

          public int getContentHeight()

    - #### applyDefaults

          public void applyDefaults(SectionProperties defSection)

    - #### setColumns

          public void setColumns(int columns)

    - #### getColumns

          public int getColumns()

    - #### setColumnWidth

          public void setColumnWidth(int column,
                            int width)

    - #### setColumnSpaceRight

          public void setColumnSpaceRight(int column,
                                 int space)

    - #### getAverageColumnSpacing

          public int getAverageColumnSpacing()

    - #### hasVariableColumnWidths

          public boolean hasVariableColumnWidths()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.